# [PredictionIO](http://predictionio.incubator.apache.org)

[![Build
Status](https://api.travis-ci.org/apache/incubator-predictionio.svg?branch=develop)](https://travis-ci.org/apache/incubator-predictionio)

PredictionIO is an open source machine learning framework for developers,
data scientists, and end users. It supports event collection, deployment of algorithms, evaluation, querying predictive results via REST APIs. It is based on scalable open source services like Hadoop, HBase (and other DBs), Elasticsearch, Spark and implements what is called a Lambda Architecture.

To get started, check out http://predictionio.incubator.apache.org!


## Table of contents
- [Installation](#installation)
- [Quick Start](#quick-start)
- [Bugs and Feature Requests](#bugs-and-feature-requests)
- [Documentation](#documentation)
- [Contributing](#contributing)
- [Community](#community)


## Installation

Five installation options available.

*   [Installing PredictionIO on Linux / Mac OS
    X](http://predictionio.incubator.apache.org/install/install-linux/)
*   [Installing PredictionIO from Source
    Code](http://predictionio.incubator.apache.org/install/install-sourcecode/)
    If you are installing from source code, it's recommended that you clone the
    master branch.
*   [Launching PredictionIO on
    AWS](http://predictionio.incubator.apache.org/install/launch-aws/)
*   [Installing PredictionIO with
    Docker](https://github.com/mingfang/docker-predictionio) (Community
    contributed)
*   [Installing PredictionIO with
    Vagrant](http://predictionio.incubator.apache.org/install/install-vagrant/)


## Quick Start

*   [Recommendation Engine Template Quick
    Start](http://predictionio.incubator.apache.org/templates/recommendation/quickstart/)
    Guide
*   [Similiar Product Engine Template Quick
    Start](http://predictionio.incubator.apache.org/templates/similarproduct/quickstart/)
    Guide
*   [Classification Engine Template Quick
    Start](http://predictionio.incubator.apache.org/templates/classification/quickstart/)
    Guide


## Bugs and Feature Requests

Use [Apache JIRA](https://issues.apache.org/jira/browse/PIO) to report bugs or request new features.

## Documentation

PredictionIO's documentation, included in this repo in the `docs/manual`
directory, is built with [Middleman](http://middlemanapp.com/) and publicly
hosted at [predictionio.incubator.apache.org](http://predictionio.incubator.apache.org/).

Interested in helping with our documentation? Read [Contributing
Documentation](http://predictionio.incubator.apache.org/community/contribute-documentation/).

[![Dependency
Status](https://gemnasium.com/PredictionIO/PredictionIO.svg)](https://gemnasium.com/PredictionIO/PredictionIO)


## Community

Keep track of development and community news.

*   Subscribe to the user mailing list <mailto:user-subscribe@predictionio.incubator.apache.org>
    and the dev mailing list <mailto:dev-subscribe@predictionio.incubator.apache.org>
*   Follow [@predictionio](https://twitter.com/predictionio) on Twitter.


## Contributing

Read the [Contribute Code](http://predictionio.incubator.apache.org/community/contribute-code/) page.

You can also list your projects on the [Community Project
page](http://predictionio.incubator.apache.org//community/projects/).


## License

PredictionIO is under [Apache 2
license](http://www.apache.org/licenses/LICENSE-2.0.html).
